summaryrefslogtreecommitdiffstats
path: root/games/fizmo
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-12-16 17:42:35 -0500
committer dsomero <xgizzmo@slackbuilds.org>2012-12-23 09:16:18 -0500
commitcc0266a908063f7c38ed16ac50ba9b72797c4975 (patch)
treef578914aa0a3d26366bf8bfeff3873d811a9c3e8 /games/fizmo
parentc1a2e05a2f2071ee7c2b9f85755c176d32477773 (diff)
downloadslackbuilds-cc0266a908063f7c38ed16ac50ba9b72797c4975.tar.gz
slackbuilds-cc0266a908063f7c38ed16ac50ba9b72797c4975.tar.xz
games/fizmo: Added (Z-Code interpreter for story files)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games/fizmo')
-rw-r--r--games/fizmo/README7
-rw-r--r--games/fizmo/fizmo.SlackBuild87
-rw-r--r--games/fizmo/fizmo.info10
-rw-r--r--games/fizmo/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/games/fizmo/README b/games/fizmo/README
new file mode 100644
index 0000000000..3274745000
--- /dev/null
+++ b/games/fizmo/README
@@ -0,0 +1,7 @@
+fizmo (Z-Code interpreter for Infocom and other story files)
+
+Fizmo provides a Z-Machine interpreter development library in plain C
+along with a ncurses user interface, supporting Z-Machine versions 1
+to 5, 7 and 8. That means it allows you to play interactive ficiton,
+also known as textadventures, which were implemented either by Infocom
+or created using the Inform compiler.
diff --git a/games/fizmo/fizmo.SlackBuild b/games/fizmo/fizmo.SlackBuild
new file mode 100644
index 0000000000..6daa21b748
--- /dev/null
+++ b/games/fizmo/fizmo.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/bash
+
+# Slackware build script for fizmo
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=fizmo
+VERSION=${VERSION:-0.7.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# it wants to use pkg-config to find ncursesw, but Slack doesn't ship a
+# ncursesw.pc. Manual override time.
+
+ncursesw_CFLAGS=-I/usr/include/curses \
+ncursesw_LIBS=-lncursesw \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+ln -s $PRGNAM-ncursesw $PKG/usr/bin/$PRGNAM
+
+gzip -9 $PKG/usr/man/man6/*.6
+ln -s $PRGNAM-ncursesw.6.gz $PKG/usr/man/man6/$PRGNAM.6.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fizmo/fizmo.info b/games/fizmo/fizmo.info
new file mode 100644
index 0000000000..d6e8248026
--- /dev/null
+++ b/games/fizmo/fizmo.info
@@ -0,0 +1,10 @@
+PRGNAM="fizmo"
+VERSION="0.7.5"
+HOMEPAGE="http://spellbreaker.org/~chrender/fizmo/"
+DOWNLOAD="http://spellbreaker.org/~chrender/fizmo/source/fizmo-0.7.5.tar.gz"
+MD5SUM="304d5f72bc6a8dff2b6b23455b46b2a1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/fizmo/slack-desc b/games/fizmo/slack-desc
new file mode 100644
index 0000000000..08b3f5d502
--- /dev/null
+++ b/games/fizmo/slack-desc
@@ -0,0 +1,19 @@
+## HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fizmo: fizmo (Z-Code interpreter for Infocom and other story files)
+fizmo:
+fizmo: Fizmo provides a Z-Machine interpreter development library in plain C
+fizmo: along with a ncurses user interface, supporting Z-Machine versions 1
+fizmo: to 5, 7 and 8. That means it allows you to play interactive ficiton,
+fizmo: also known as textadventures, which were implemented either by Infocom
+fizmo: or created using the Inform compiler.
+fizmo:
+fizmo:
+fizmo:
+fizmo: